Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.fee.v06
Class EPPFeeRenew

    java.lang.Object
      com.verisign.epp.codec.fee.v06.EPPFeeTransform
          com.verisign.epp.codec.fee.v06.EPPFeeRenew

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPFeeRenew

extends EPPFeeTransform

Fee Renew Extension that enables a client to pass the expected fee for the renew command.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPFeeRenew`.
`static java.lang.String` | `ELM_NAME` XML root tag for `EPPFeeRenew`.

Constructor Summary
`EPPFeeRenew()` Default constructor for `EPPFeeRenew`.
`EPPFeeRenew(java.lang.String aCurrency, EPPFeeValue aFee)` Constructor for `EPPFeeRenew` that takes the required currency parameter along with a single fee.
`EPPFeeRenew(java.lang.String aCurrency, java.util.List<EPPFeeValue> aFees)` Constructor for `EPPFeeRenew` that takes all attributes.

Method Summary
`protected java.lang.String` | `getLocalName()` Returns the local name "renew" for the renew extension.

Methods inherited from class com.verisign.epp.codec.fee.v06.EPPFeeTransform
`addFee, clone, decode, encode, equals, getCurrency, getFees, hasCurrency, hasFees, setCurrency, setFees, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  XML local name for `EPPFeeRenew`.

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  XML root tag for `EPPFeeRenew`.

  See Also:
    Constant Field Values

Constructor Detail

### EPPFeeRenew

    public EPPFeeRenew()

  Default constructor for `EPPFeeRenew`.

### EPPFeeRenew

    public EPPFeeRenew(java.lang.String aCurrency,
                       EPPFeeValue aFee)

  Constructor for `EPPFeeRenew` that takes the required currency parameter along with a single fee.

  Parameters:
    `aCurrency` - Currency of the fee
    `aFee` - A single fee value

### EPPFeeRenew

    public EPPFeeRenew(java.lang.String aCurrency,
                       java.util.List<EPPFeeValue> aFees)

  Constructor for `EPPFeeRenew` that takes all attributes.

  Parameters:
    `aCurrency` - Currency of the fee
    `aFees` - List of fees

Method Detail

### getLocalName

    protected java.lang.String getLocalName()

  Returns the local name "renew" for the renew extension.

  Specified by:
    `getLocalName` in class `EPPFeeTransform`
  Returns:
    Local name "renew" for the renew extension.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.